Delen via


Local Rulestacks - list Countries

Lijst met landen voor Rulestack

POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/PaloAltoNetworks.Cloudngfw/localRulestacks/{localRulestackName}/listCountries?api-version=2025-10-08
POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/PaloAltoNetworks.Cloudngfw/localRulestacks/{localRulestackName}/listCountries?api-version=2025-10-08&skip={skip}&top={top}

URI-parameters

Name In Vereist Type Description
localRulestackName
path True

string

Naam van localRulestack-resource

resourceGroupName
path True

string

minLength: 1
maxLength: 90

De naam van de resourcegroep. De naam is hoofdletterongevoelig.

subscriptionId
path True

string

minLength: 1

De id van het doelabonnement.

api-version
query True

string

minLength: 1

De API-versie die voor deze bewerking moet worden gebruikt.

skip
query

string

top
query

integer (int32)

Antwoorden

Name Type Description
200 OK

CountriesResponse

Azure-bewerking is voltooid.

Other Status Codes

ErrorResponse

Een onverwachte foutreactie.

Beveiliging

azure_auth

OAuth2-stroom voor Azure Active Directory.

Type: oauth2
Stroom: implicit
Autorisatie-URL: https://login.microsoftonline.com/common/oauth2/authorize

Bereiken

Name Description
user_impersonation Uw gebruikersaccount imiteren

Voorbeelden

LocalRulestacks_listCountries_MaximumSet_Gen
LocalRulestacks_listCountries_MinimumSet_Gen

LocalRulestacks_listCountries_MaximumSet_Gen

Voorbeeldaanvraag

POST https://management.azure.com/subscriptions/2bf4a339-294d-4c25-b0b2-ef649e9f5c27/resourceGroups/rgopenapi/providers/PaloAltoNetworks.Cloudngfw/localRulestacks/lrs1/listCountries?api-version=2025-10-08&skip=a6a321&top=20

Voorbeeldrespons

{
  "nextLink": "https://management.azure.com/subscriptions/2bf4a339-294d-4c25-b0b2-ef649e9f5c27/resourceGroups/rgopenapi/providers/PaloAltoNetworks.Cloudngfw/localRulestacks/lrs1/listCountries?api-version=2025-10-08&$skiptoken=xyz",
  "value": [
    {
      "description": "aaaaa",
      "code": "aaaaaaaaaaaaaaaaaaaaaaaaa"
    }
  ]
}

LocalRulestacks_listCountries_MinimumSet_Gen

Voorbeeldaanvraag

POST https://management.azure.com/subscriptions/2bf4a339-294d-4c25-b0b2-ef649e9f5c27/resourceGroups/rgopenapi/providers/PaloAltoNetworks.Cloudngfw/localRulestacks/lrs1/listCountries?api-version=2025-10-08

Voorbeeldrespons

{
  "value": [
    {
      "code": "aaaaaaaaaaaaaaaaaaaaaaaaa"
    }
  ]
}

Definities

Name Description
CountriesResponse

Antwoord object landen

Country

Land Beschrijving

ErrorAdditionalInfo

Aanvullende informatie over de resourcebeheerfout.

ErrorDetail

De foutdetails.

ErrorResponse

Foutreactie

CountriesResponse

Antwoord object landen

Name Type Description
nextLink

string (uri)

De koppeling naar de volgende pagina met items

value

Country[]

De landenartikelen op deze pagina

Country

Land Beschrijving

Name Type Description
code

string

landcode

description

string

Code Beschrijving

ErrorAdditionalInfo

Aanvullende informatie over de resourcebeheerfout.

Name Type Description
info

object

De aanvullende informatie.

type

string

Het extra informatietype.

ErrorDetail

De foutdetails.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

De fout bevat aanvullende informatie.

code

string

De foutcode.

details

ErrorDetail[]

De foutdetails.

message

string

Het foutbericht.

target

string

Het foutdoel.

ErrorResponse

Foutreactie

Name Type Description
error

ErrorDetail

Het foutobject.